
2015-11: spent a while digging into this


## link dump
http://gerg.ca/blog/post/2013/zmq-child-process/ - interesting
http://wamp-proto.org/why/ - has some relationship but I'm not sure what

where are the classes for ZMQContext, ZMQSocket, and so on defined? turns out they are native with the ZeroMQ extension installed http://php.net/manual/en/book.zmq.php; source code is https://github.com/mkoppanen/php-zmq or https://github.com/php/pecl-networking-mqseries
maybe play with zmqc